package com.yeejoin.amos.boot.module.jxiop.biz.mapper2;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.amos.boot.module.jxiop.biz.dto.AlarmEventDto;
import com.yeejoin.amos.boot.module.jxiop.biz.entity.AlarmEvent;

import java.util.Date;
import java.util.List;

public interface AlarmEventMapper extends BaseMapper<AlarmEvent> {

	String getLastDataBySort(String gatewayId);

	List<AlarmEventDto> getAlarmEventList(String gatewayId, String stationId, long current, long size, Date time);

	List<String> getOldAlarmsBySort(String gatewayId, String sort);

}
